// Module Author: Biju G.C. 2003.0706
// License: The Mozilla Public License ( http://www.mozilla.org/MPL/ )
// Homepage: http://quicktools.mozdev.org/

var QuickToolsTBirdOptions = {};
QuickToolsTBirdOptions.Const = {
  RESIZABLE    : 'resizable',
  CENTERSCREEN : 'centerscreen',
  DEPENDENT    : 'dependent',
  PREF_INT     : 64,
  PREFIX       : 'quicktools.dialog.tbird.options.',
  CHECKSUFIX   : '.checkbox'
 };

QuickToolsTBirdOptions.initbody = function() 
{
 var oConst = QuickToolsTBirdOptions.Const;
 var lstCheckBox = new Array(oConst.RESIZABLE, oConst.CENTERSCREEN, oConst.DEPENDENT);
 QuickToolsTBirdOptions.CheckBoxList = lstCheckBox;


 var oPref   =  Components.classes["@mozilla.org/preferences-service;1"]
                                   .getService(Components.interfaces.nsIPrefService)
                                    .getBranch(oConst.PREFIX);

 QuickToolsTBirdOptions.preferences = oPref;


 var sCurrItem;
 var i;
 for(i=0;i < lstCheckBox.length; i++)
 {
   sCurrItem = lstCheckBox[i];
   if(!oPref.prefHasUserValue(sCurrItem) || oPref.getPrefType(sCurrItem) != oConst.PREF_INT)
   {
     oPref.setIntPref(sCurrItem, 1);
   }
 }

 QuickToolsTBirdOptions.getCurrDialogFeatures = function ()
 {
  var s  = "chrome,titlebar,resizable";
      s += (oPref.getIntPref(oConst.RESIZABLE) == 1) ? '' : '=no' ;
      s += (oPref.getIntPref(oConst.CENTERSCREEN ) == 1) ? ',' + oConst.CENTERSCREEN  : '';
      s += (oPref.getIntPref(oConst.DEPENDENT ) == 1) ? ',' + oConst.DEPENDENT : '';
  return s;
 }

}

QuickToolsTBirdOptions.initbody(); 


