// Module Author: Biju G.C. 2003.0705
// License: The Mozilla Public License ( http://www.mozilla.org/MPL/ )
// Homepage: http://quicktools.mozdev.org/


// Ref:- in mailWindowOverlay.xul, "tasksMenu", "taskPopup", "menu_preferences"

function goPreferences(containerID, paneURL, itemID) {

    const kWindowMediatorContractID = "@mozilla.org/appshell/window-mediator;1";
    const kWindowMediatorIID = Components.interfaces.nsIWindowMediator;
    const kWindowMediator = Components.classes[kWindowMediatorContractID].getService(kWindowMediatorIID);

    var lastPrefWindow = kWindowMediator.getMostRecentWindow("mozilla:preferences");

    if (lastPrefWindow) {
        lastPrefWindow.focus();
    } else {
        var features = QuickToolsTBirdOptions.getCurrDialogFeatures() ;
        openDialog("chrome://communicator/content/pref/pref.xul", "PrefWindow", features, paneURL, containerID, itemID);
    }
}
