// Module Author: Biju G.C. 2003.0625
// License: The Mozilla Public License ( http://www.mozilla.org/MPL/ )
// Homepage: http://quicktools.mozdev.org/


// Define QuickTools object
// Author: Biju G.C. 2003.0625
QuickToolsTBirdOptions.settingsbody = function() 
{

  var lstCheckBox = QuickToolsTBirdOptions.CheckBoxList;
  var oPref   = QuickToolsTBirdOptions.preferences;
  var oConst  = QuickToolsTBirdOptions.Const ;
  var oCurr;

  QuickToolsTBirdOptions.settings = {};

  // Save the Preferences to profile
  // Author: Biju G.C. 2003.0625
  QuickToolsTBirdOptions.settings.onsave = function ()
  {
    var sCurrItem;
    for(i=0;i < lstCheckBox.length; i++)
    {
      sCurrItem = lstCheckBox [i];
      oCurr = document.getElementById(oConst.PREFIX + sCurrItem + oConst.CHECKSUFIX);
      if(oCurr)
        if(oCurr.hasAttribute('checked')) oPref.setIntPref(sCurrItem, 1);
        else oPref.setIntPref(sCurrItem, 0);
    }
  }


  // Featch saved preferences from profile 
  // to update Preferences dialog screen
  // Author: Biju G.C. 2003.0625
  QuickToolsTBirdOptions.settings.onload = function()
  {
    var sCurrItem;
    var i;
    
    for(i=0;i < lstCheckBox.length; i++)
    {
      sCurrItem = lstCheckBox[i];
      oCurr = document.getElementById(oConst.PREFIX + sCurrItem + oConst.CHECKSUFIX);
      if(oCurr)
        if(oPref.getIntPref(sCurrItem) == 1) oCurr.setAttribute('checked',true);
        else oCurr.removeAttribute('checked');
      
    }
  }

}

QuickToolsTBirdOptions.settingsbody ();  // Call to Create Instance



